import oracle.oats.scripting.modules.basic.api.*;
import oracle.oats.scripting.modules.browser.api.*;
import oracle.oats.scripting.modules.functionalTest.api.*;
import oracle.oats.scripting.modules.utilities.api.*;
import oracle.oats.scripting.modules.utilities.api.sql.*;
import oracle.oats.scripting.modules.utilities.api.xml.*;
import oracle.oats.scripting.modules.utilities.api.file.*;
import oracle.oats.scripting.modules.webdom.api.*;
import lib.*;

public class script extends IteratingVUserScript {
	@ScriptService oracle.oats.scripting.modules.utilities.api.UtilitiesService utilities;
	@ScriptService oracle.oats.scripting.modules.browser.api.BrowserService browser;
	@ScriptService oracle.oats.scripting.modules.functionalTest.api.FunctionalTestService ft;
	@ScriptService oracle.oats.scripting.modules.webdom.api.WebDomService web;
	@FunctionLibrary("Excel") lib.testingtools.co.Excel excel;
	
	public void initialize() throws Exception {
	}
		
	/**
	 * Add code to be executed each iteration for this virtual user.
	 */
	public void run() throws Exception {
	    excel.openExcelWorkBook("C:\\Training\\TestData\\Registrations.xlsx");
	    excel.openSheet("Sheet1"); // assuming you have test data filled in sheet 'Sheet1'
	    //iterate through all rows and print the values of each column for the given row
	    for(int i=1;i<=excel.getRowCount();i++)
	    {
	        excel.getTestDataRow(i);
	        System.out.println("Username value in row ["+(i)+"]:" + excel.getValue("Username"));
	        System.out.println("Password value in row ["+(i)+"]:" + excel.getValue("Password"));
	        System.out.println("Age value in row ["+(i)+"]:" + excel.getValue("Age"));
	        System.out.println("Address value in row ["+(i)+"]:" + excel.getValue("Address"));
	    }
	    excel.closeExcelFile();
	}
	
	public void finish() throws Exception {
	}
}
